ignite-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From vdpyatkov <vldpyat...@gmail.com>
Subject Re: SqlFieldsQuery error when I update ignite version to 1.7.0(it works with 1.6.0)
Date Fri, 28 Oct 2016 06:59:22 GMT
Hi,

Please properly subscribe to the user list so that we can see your questions
as soon as possible and provide answers on them quicker. All you need to do
is send an email to ì user-subscribe@ignite.apache.orgî and follow simple
instructions in the reply.

Could you please provide full stack of the exception?


navy.chi wrote
> query code:
> String sql = "select id from CacheTransactionIn";
>         SqlFieldsQuery fieldsQuery = new SqlFieldsQuery(sql);
>         try (QueryCursor&lt;List&lt;?&gt;> cursor =
> CacheConstant.STL_TRANSACTION_IN.query(fieldsQuery)) {
>             for (List<?> row : cursor) {
>                 System.out.println(row);
>             }
>         }
> error message:
> java.lang.AbstractMethodError:
> org.apache.ignite.internal.processors.query.h2.IgniteH2Indexing.registerCache(Lorg/apache/ignite/configuration/CacheConfiguration;)V
> 
> this problem was caused by the version of h2database dependence by
> ignite-indexing?





--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/SqlFieldsQuery-error-when-I-update-ignite-version-to-1-7-0-it-works-with-1-6-0-tp8577p8578.html
Sent from the Apache Ignite Users mailing list archive at Nabble.com.

Mime
View raw message